[TH] Fonts Manager

[TH] Fonts Manager 2.0.8

No permission to download

Lukas W.

Well-known member
I installed 2.0.3 cannot added google fonts or custom fonts or upload fonts. Basically it is not working at all.
A little more input on why it doesn't work would be helpful. :confused:
You need to have Javascript enabled for the settings page to work.
 
Last edited:

Jim Kingsnorth

Active member
It was a browser issue with adding custom fonts and uploads. When you try to choose a google font, it does nothing when you click select. The upload and custom font does work. I could not get them setup using FF but I was able to use IE to get new fonts setup.
 

BobbyWibowo

Well-known member
Confirmed to be working just fine. But integration with TinyQuattro doesn't seem complete. The add-on doesn't attach the Google Fonts into the TinyQuattro's iframe like it does with Redactor.
I tried manually adding the Google Fonts import link to tiny_quattro_iframe.css template, and then it'd work completely, but it'll surely be much better if your add-on do it seamlessly.

fonts_manager_tiny_quattro.png
At least it adds the fonts to the font list. FYI, that screenshot was taken with the Google Fonts import link that I manually added to tiny_quattro_iframe.css template, which was why the fonts rendered properly.
 

Lukas W.

Well-known member
i can't upgrade from v1.1.1 to v2.0.4 = error
return to v1.1.1 ...
Please take yourself the time and actually read my answers if you want to solve this problem. I asked you for the version ID, quoting a post of mine with a small "tutorial" on where to find the actual ID and not the version string. In my last answer I asked you if it would be okay to just uninstall your current installation and then reinstall the new version. I feel a little like you haven't read either one.
 

BobbyWibowo

Well-known member
Hey, I have upgraded to 2.0.4, and to be honest, I can't tell whether the integration with TinyQuattro is working or not. The custom fonts were added to the editor's font list, but as to attaching the fonts to the iframe, I have no idea whether it worked or not. I tried inspecting the iframe, but I couldn't find any strange elements like I did with Redactor. But strangely, the fonts were being rendered properly. Then I went to check tiny_quattro_iframe.css which was being loaded into the iframe, and for some reason, there was a CSS import to load the Google Fonts. But that's strange. It was the exact same implementation that I did to the template manually, but I have actually reverted the change. Well, the caching in my site is rather insane so that sometimes it takes 5 to 10 minutes for template edits to reflect into the live site, so I had no idea whether it was my manual edit or something that your add-on did (although I reverted the change yesterday, so I highly doubt that it was the caching). Then I went to Template Modification and found nothing messing with tiny_quattro_iframe.css template. But, there was a TM for tiny_quattro_js_setup template, and there's another strange issue with this one. The TM seemed like it was supposed to add js/KL/FontsManager/extendMCE.js, but I couldn't find that file in that path. I have also tried re-downloading the add-on's archive and couldn't find it there either. So yeah... right now I'm super confused and my head is hurting (not because of this add-on, but I couldn't think properly at the very least).

Oh right, one more:
tm_fonts_manager.png
Why does the TM add the extra bits twice?
 

asmar

Member
Please take yourself the time and actually read my answers if you want to solve this problem. I asked you for the version ID, quoting a post of mine with a small "tutorial" on where to find the actual ID and not the version string. In my last answer I asked you if it would be okay to just uninstall your current installation and then reinstall the new version. I feel a little like you haven't read either one.

sorry ... i think ID v is v2.0 or v1.1 ...

you mean this ?
 

BobbyWibowo

Well-known member
@asmar Just confirming, you didn't actually "Upgrade" the add-on, right? The instruction mentioned that you were supposed to install 2.x as a new add-on. It would automatically remove the old installation and copy the fonts list to the new installation.
 

asmar

Member
again ...
1- install 1.1.1 = ok (V ID: 7)
2- install "new add-on 2.4" = error (Mysqli statement execute error : Duplicate column name 'additional_data' ...)
i try remove via sql : ( INSERT INTO `xf_option` (`option_id`, `option_value`, `default_value`, `edit_format`, `edit_format_params`, `data_type`, `sub_options`, `can_backup`, `validation_class`, `validation_method`, `addon_id`) VALUES (0x6b6c5f666d5f6d6f6465, 0x30, 0x30, 'radio', '1=Whitelist\n2=Blacklist', 'boolean', '', 1, '', '', '')

i have : 1062 - Duplicate entry 'kl_fm_mode' for key 'PRIMARY'

whats wrong ?
 

asmar

Member
after install 1.1.1
i uninstall it from CP & remove folder (KL) from js & library
then copy new file to root and install = error

:(
 
Top